Qt 5.6 | Qt GUI | C++ Classes | QWhatsThisClickedEvent

Qt 5.6.2 Reference Documentation

# QWhatsThisClickedEvent Class

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text. More...

Header: | #include <QWhatsThisClickedEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

| QWhatsThisClickedEvent(const QString &href)
QString | href() const

## Detailed Description

The QWhatsThisClickedEvent class provides an event that can be used to handle hyperlinks in a "What's This?" text.

See also QWhatsThis, QHelpEvent, and QStatusTipEvent.

## Member Function Documentation

### QWhatsThisClickedEvent::QWhatsThisClickedEvent(const QString &href)

Constructs an event containing a URL specified by href when a link is clicked in a "What's This?" message.

See also href().

### QString QWhatsThisClickedEvent::href() const

Returns the URL that was clicked by the user in the "What's This?" text.